dns_cache.c(3)

NAME
dns_cache.c - Functions for DNS caching.

SYNOPSIS

#include <config.h>
#include <stdlib.h>
#include <string.h>
#include <netdb.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct cache_entry
struct wget_dns_cache_st

  Functions
int wget_dns_cache_init (wget_dns_cache **cache)
void wget_dns_cache_free (wget_dns_cache **cache)
struct addrinfo * wget_dns_cache_get (wget_dns_cache *cache, const char *host, uint16_t port)
int wget_dns_cache_add (wget_dns_cache *cache, const char *host, uint16_t port, struct addrinfo **addrinfo)

Detailed Description

Functions for DNS caching.

Author

Generated automatically by Doxygen for wget2 from the source code.